Skip to main content
GET
/
v1
/
setup_intents
List Setup Intents
curl --request GET \
  --url https://api.withflex.com/v1/setup_intents \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.withflex.com/v1/setup_intents"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.withflex.com/v1/setup_intents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "setup_intents": [
    {
      "setup_intent_id": "fseti_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
      "description": "Premium SPF 50 mineral sunscreen",
      "payment_method": "fpm_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
      "partner_id": "facct_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
      "metadata": {
        "order_id": "8842",
        "channel": "shopify"
      },
      "created_at": "2026-06-15T14:30:00Z",
      "test_mode": false,
      "status": "requires_payment_method",
      "usage": "off_session",
      "subscription_id": "fsub_01J9XR8M3K7VZ8N2YB4WJ6T0RA"
    }
  ]
}
{
"code": "string",
"detail": "string"
}
{
"code": "string",
"detail": "string"
}
{
"code": "string",
"detail": "string"
}
{
"code": "string",
"detail": "string"
}
{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}
{
"code": "string",
"detail": "string"
}

Authorizations

Authorization
string
header
required

Use a Bearer token to access this API.

Query Parameters

limit
integer<int32> | null

A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.

Example:

10

offset
integer<int32> | null

Number of objects to skip before returning results.

Example:

3

customer
string | null

Filter by customer ID.

Example:

"fcus_01J9XR8M3K7VZ8N2YB4WJ6T0RA"

starting_after
string | null

A cursor for use in pagination. starting_after is a setup intent ID that defines your place in the list. For instance, if you make a list request and receive 20 setup intents, ending with fsi_xyz, your subsequent call can include starting_after=fsi_xyz to fetch the next page.

Example:

"fseti_01J9XR8M3K7VZ8N2YB4WJ6T0RA"

ending_before
string | null

A cursor for use in pagination. ending_before is a setup intent ID that defines your place in the list. For instance, if you make a list request and receive 20 setup intents, starting with fsi_abc, your subsequent call can include ending_before=fsi_abc to fetch the previous page.

Example:

"fseti_01J9XR8M3K7VZ8N2YB4WJ6T0RA"

expand
string
default:""

Comma-separated list of fields to expand (e.g., "subscription").

Example:

""

Response

Success

An envelope wrapping a list of setup intent objects.

setup_intents
object[]
required

A list of SetupIntents.